Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.archive.compound
Interface IArchiveFile

All Known Implementing Classes:
  ArchiveFile, ArchiveFileV1, ArchiveFileV2, ArchiveFileV3, ArchiveView

    public interface IArchiveFile

Method Summary
`void` | `close()`
`ArchiveEntry` | `createEntry(java.lang.String name)`
`boolean` | `exists(java.lang.String name)`
`void` | `flush()`
`java.lang.String` | `getDependId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSystemId()`
`long` | `getUsedCache()`
`java.util.List<java.lang.String>` | `listEntries(java.lang.String namePattern)`
`java.lang.Object` | `lockEntry(java.lang.String entry)`
`ArchiveEntry` | `openEntry(java.lang.String name)`
`void` | `refresh()`
`boolean` | `removeEntry(java.lang.String name)`
`void` | `save()`
`void` | `setCacheSize(long cacheSize)`
`void` | `unlockEntry(java.lang.Object locker)`

Method Detail

### getName

    java.lang.String getName()

### close

    void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### refresh

    void refresh()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### exists

    boolean exists(java.lang.String name)

### setCacheSize

    void setCacheSize(long cacheSize)

### getUsedCache

    long getUsedCache()

### openEntry

    ArchiveEntry openEntry(java.lang.String name)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### listEntries

    java.util.List<java.lang.String> listEntries(java.lang.String namePattern)

### createEntry

    ArchiveEntry createEntry(java.lang.String name)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeEntry

    boolean removeEntry(java.lang.String name)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### lockEntry

    java.lang.Object lockEntry(java.lang.String entry)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### unlockEntry

    void unlockEntry(java.lang.Object locker)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSystemId

    java.lang.String getSystemId()

### getDependId

    java.lang.String getDependId()

### save

    void save()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.